kr.co.hanwha.hifive.data.model

## Class LoginData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.BaseData
  - - kr.co.hanwha.hifive.data.model.LoginData

    public class LoginData
    extends BaseData

Created by sanghoonkwon on 2018. 1. 11..

### Field Summary

Fields
`(package private) java.lang.String` `company`
`(package private) java.lang.String` `department` ex) "인사팀"
`(package private) java.lang.String` `encryption_member_id` "iBPiEJr96PYRgmb2SFLvPg=="
`(package private) java.util.ArrayList<ProjectInfoData>` `listLeaderProjectsInfo`
`(package private) java.util.ArrayList<ProjectInfoData>` `listMyProjectsInfo`
`(package private) java.lang.String` `login` ex) "201404397"
`(package private) int` `member_id` ex) 6
`(package private) java.lang.String` `name` ex) "이승창"
`(package private) java.lang.String` `position` ex) "차장"
`(package private) java.lang.String` `profile_url` ex) null
`(package private) java.lang.String` `simple_login_yn`

### Fields inherited from class kr.co.hanwha.hifive.data.model.BaseData

`rtn_code, rtn_message, server_time`

### Constructor Summary

Constructors
Constructor and Description
`LoginData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCompany()`
`java.lang.String` `getDepartment()`
`java.lang.String` `getEncryption_member_id()`
`java.util.ArrayList<ProjectInfoData>` `getListMyProjectsInfo()`
`java.lang.String` `getLogin()`
`int` `getMember_id()`
`java.lang.String` `getName()`
`java.lang.String` `getPosition()`
`java.lang.String` `getProfile_url()`
`boolean` `isProjectLeader()`
`boolean` `isSimpleLoginYn()`
`java.lang.String` `toString()`

### Methods inherited from class kr.co.hanwha.hifive.data.model.BaseData

`getRtn_code, getRtn_message, getServer_time`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### member_id

    int member_id

ex) 6

#### encryption_member_id

    java.lang.String encryption_member_id

"iBPiEJr96PYRgmb2SFLvPg=="

#### profile_url

    java.lang.String profile_url

ex) null

#### login

    java.lang.String login

ex) "201404397"

#### name

    java.lang.String name

ex) "이승창"

#### position

    java.lang.String position

ex) "차장"

#### department

    java.lang.String department

ex) "인사팀"

#### company

    java.lang.String company

#### simple_login_yn

    java.lang.String simple_login_yn

#### listLeaderProjectsInfo

    java.util.ArrayList<ProjectInfoData> listLeaderProjectsInfo

#### listMyProjectsInfo

    java.util.ArrayList<ProjectInfoData> listMyProjectsInfo

### Constructor Detail

#### LoginData

    public LoginData()

### Method Detail

#### getMember_id

    public int getMember_id()

#### getEncryption_member_id

    public java.lang.String getEncryption_member_id()

#### getProfile_url

    public java.lang.String getProfile_url()

#### getLogin

    public java.lang.String getLogin()

#### getName

    public java.lang.String getName()

#### getPosition

    public java.lang.String getPosition()

#### getDepartment

    public java.lang.String getDepartment()

#### getCompany

    public java.lang.String getCompany()

#### isSimpleLoginYn

    public boolean isSimpleLoginYn()

#### isProjectLeader

    public boolean isProjectLeader()

#### getListMyProjectsInfo

    public java.util.ArrayList<ProjectInfoData> getListMyProjectsInfo()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `BaseData`